summaryrefslogtreecommitdiffstats
path: root/source/a/efibootmgr
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/efibootmgr')
-rwxr-xr-xsource/a/efibootmgr/efibootmgr.SlackBuild5
-rw-r--r--source/a/efibootmgr/f862d860103511ae953cc2dd1283e1e95bf00376.patch22
2 files changed, 26 insertions, 1 deletions
diff --git a/source/a/efibootmgr/efibootmgr.SlackBuild b/source/a/efibootmgr/efibootmgr.SlackBuild
index 58d0ef610..b15808089 100755
--- a/source/a/efibootmgr/efibootmgr.SlackBuild
+++ b/source/a/efibootmgr/efibootmgr.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=efibootmgr
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -79,6 +79,9 @@ rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
cd $PKGNAM-$VERSION
+# Remove wrong check of opts.reconnect:
+zcat $CWD/f862d860103511ae953cc2dd1283e1e95bf00376.patch.gz | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
diff --git a/source/a/efibootmgr/f862d860103511ae953cc2dd1283e1e95bf00376.patch b/source/a/efibootmgr/f862d860103511ae953cc2dd1283e1e95bf00376.patch
new file mode 100644
index 000000000..2b1a0a40f
--- /dev/null
+++ b/source/a/efibootmgr/f862d860103511ae953cc2dd1283e1e95bf00376.patch
@@ -0,0 +1,22 @@
+From f862d860103511ae953cc2dd1283e1e95bf00376 Mon Sep 17 00:00:00 2001
+From: Sly_tom_cat <slytomcat@users.noreply.github.com>
+Date: Thu, 24 Oct 2019 22:23:49 +0300
+Subject: [PATCH] Remove wrong check of opts.reconnect
+
+---
+ src/efibootmgr.c | 3 ---
+ 1 file changed, 3 deletions(-)
+
+diff --git a/src/efibootmgr.c b/src/efibootmgr.c
+index 59ba871..f9d01bb 100644
+--- a/src/efibootmgr.c
++++ b/src/efibootmgr.c
+@@ -1738,9 +1738,6 @@ main(int argc, char **argv)
+ mode = driver;
+ }
+
+- if (opts.reconnect && !opts.driver)
+- errorx(30, "--reconnect is supported only for driver entries.");
+-
+ if (!efi_variables_supported())
+ errorx(2, "EFI variables are not supported on this system.");